// pages/mine/mine.js
const app = getApp();
import {
    doGetInfo
} from '../../../utils/api/api'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        StatusBar: app.globalData.StatusBar, //胶囊按钮位置
        CustomBar: app.globalData.CustomBar,
        userInfo: null,
        itemList: [{
                name: '身份信息',
                id: 1,
            },
            {
                name: '修改密码',
                id: 2,
            },
        ]
    },
    goLogin() {
        wx.navigateTo({
            url: '/pages/login/index',
        })
    },
    async loginOut() {
        let that = this
        wx.showToast({
            title: '操作成功',
            icon: 'none',
            duration: 800,
            mask: true,
            success: function () {
                setTimeout(function () {
                    that.setData({
                        userInfo: null
                    })
                    wx.removeStorageSync('userInfo')
                    wx.navigateTo({
                        url: '/pages/login/index',
                    })
                }, 800)
            }
        })

    },
    doGetInfo() {
        let userInfo = wx.getStorageSync('userInfo')
        if (userInfo) {
            doGetInfo().then(res => {
                userInfo = Object.assign(userInfo, res.data);
                this.setData({
                    userInfo
                })
                wx.setStorageSync('userInfo', userInfo)
            })
        }
    },
    goto(e) {
        let id = e.currentTarget.dataset.id
        let url = ""
        switch (id) {
            case 1:
                url = "/pages/mine/standing/index"
                break;
            case 2:
                url = "/pages/mine/personage/index"
                break;
            default:
                break;
        }
        wx.navigateTo({
            url
        })
    },
    preview(event) {
        let currentUrl = event.currentTarget.dataset.src
        if (currentUrl) {
            wx.previewImage({
                current: currentUrl, // 当前显示图片的http链接
                urls: [currentUrl] // 需要预览的图片http链接列表
            })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {},

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.doGetInfo()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})